<div class="context">
  <div class="border mat-elevation-z18">

    <div *ngIf="post.creatorId!='sys'" class="row pl-3 pb-3 pt-2 header">

      <div class="col-md-1 size-medium not-validated" [ngClass]="{'color-green': isOpen()}">
        {{stateValues[post.state]}}
      </div>

      <div class="col-md-4">
        <mat-icon>location_on</mat-icon>
        {{post.location.country}}, {{post.location.city}}, {{post.location.street}}
      </div>

      <div class="col-md-3">
        <mat-icon>directions_car</mat-icon>
        {{post.car.company}}, {{post.car.model}}, {{post.car.generation}}
      </div>

      <div class="col-md-3">
        <mat-icon>calendar_today</mat-icon>
        {{post.createdDate | date: 'medium'}}
      </div>

      <ng-container *ngIf="(post.creatorId==myId || isAdmin) && !isHome">

        <div class="col-md-1 align-items-end">
          <ng-container *ngIf="isOpen()">
            <mat-icon class="size-medium click color-green" (click)="resolvePost()" matTooltip="Set as resolved"
                      matTooltipPosition="left">
              done_outline
            </mat-icon>
          </ng-container>
          <ng-container *ngIf="!isOpen()">

            <mat-icon class="delete-icon" (click)="deletePost()" matTooltip="Delete post" matTooltipPosition="left">
              delete
            </mat-icon>
          </ng-container>
        </div>

      </ng-container>

    </div>

    <div class="row pt-2 pb-3 pl-4 user-names" (click)="goToProfile()">
      <div class="col">
        <div [ngClass]="{'click' : post.creatorId!='sys'}">
          {{post.creatorData.name}} {{post.creatorData.lastName}}
        </div>
      </div>
    </div>

    <div class="row  pt-2 pl-3 pb-4 type">

      <div class="col-md-8 pt- 2 ">
        <div class="row text-center">
          <ng-container *ngIf="post.type=='ADVICE'">
            <mat-icon>question_answer</mat-icon>
          </ng-container>
          <ng-container *ngIf="post.type=='INFO'">
            <mat-icon>info</mat-icon>
          </ng-container>
          <ng-container *ngIf="post.type=='BORROW'">
            <mat-icon>compare_arrows</mat-icon>
          </ng-container>
          <ng-container *ngIf="post.type=='ROAD_HELP'">
            <mat-icon>handyman</mat-icon>
          </ng-container>

          {{typeValues[post.type]}}
        </div>
        <div class="row pt-2">
          <i>{{post.title}}</i>
        </div>

      </div>

    </div>

    <div class="row pb-2 pl-5">
      <div>
        <div class="col body-context">
          {{post.body}}
        </div>
      </div>
    </div>

    <ng-container *ngIf="!isHome && post.creatorId!='sys'">
      <mat-divider></mat-divider>
      <div class="row pl-3">
        <div class="col">
          <mat-icon>message</mat-icon>
          Comments: {{post.comments.length}}
        </div>
      </div>
      <app-comments-list
        (refreshPostsEvent)="refreshPosts()"
        [comments]="post.comments" [postId]="post.id"
        [myId]="myId" [state]="post.state"></app-comments-list>

    </ng-container>
  </div>
</div>


